ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004071ClearOStheme-clearos-adminpublic2015-08-05 08:262017-01-10 08:25
Reporterpbaldwin 
Assigned Tobchambers 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version7.3.0 Beta 1 
Summary0004071: Usability reduced with responsive table format
DescriptionI was just editing some port forwarding rules on my local system, and the responsive design made it harder to use. Because I did not have clear nicknames, I had to click-click-click my way to find the right rule.

On a fundamental note, this is a usability flaw in the ClearOS 7 theme. On a big screen, it's frustrating not being able to see everything given the wasted real estate with:

- the "grandma sized" text
- the sidebar widget which is almost never clicked

If anything should be "responsived" out of the way, it's the less useful information, i.e. the sidebar widget or left menu.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0004371confirmed Review "Recent Software Activity" table workaround 
related to 0004081closedpbaldwin Swap "IP Address" and "To Port" in responsive table data 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0003371)
bchambers (administrator)
2016-06-06 10:07

User was asking about this...would be nice if we could get feedback on this branch:

https://github.com/clearos/theme-clearos-admin/tree/optional-rhs [^]
(0003481)
pbaldwin (administrator)
2016-06-28 09:58

Looks good to me. Let's ship it with 7.3 (which should be landing soon).

- Issue History
Date Modified Username Field Change
2015-08-05 08:26 pbaldwin New Issue
2015-08-05 08:27 pbaldwin Status new => confirmed
2015-08-05 08:29 pbaldwin Issue cloned: 0004081
2015-08-05 08:29 pbaldwin Relationship added related to 0004081
2015-08-17 16:41 pbaldwin Product Version 7.1.0 Beta 3 => 7.1.1
2015-08-17 16:44 pbaldwin Relationship added parent of 0004371
2016-01-12 09:48 pbaldwin Issue cloned: 0006991
2016-01-12 09:48 pbaldwin Relationship added related to 0006991
2016-06-06 10:07 bchambers Note Added: 0003371
2016-06-28 09:56 pbaldwin Target Version => 7.3.0 Beta 1
2016-06-28 09:58 pbaldwin Note Added: 0003481
2016-11-16 09:12 pbaldwin Target Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2016-12-12 13:55 pbaldwin Target Version 7.3.0 Beta 1 =>
2017-01-10 08:24 bchambers Assigned To => bchambers
2017-01-10 08:24 bchambers Status confirmed => assigned
2017-01-10 08:24 bchambers Status assigned => acknowledged
2017-01-10 08:25 bchambers Status acknowledged => confirmed
2017-01-10 08:25 bchambers Status confirmed => resolved
2017-01-10 08:25 bchambers Fixed in Version => 7.3.0 Beta 1
2017-01-10 08:25 bchambers Resolution open => fixed